org.eclipse.rdf4j.rio.helpers

## Class SimpleParseLocationListener

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.SimpleParseLocationListener

- All Implemented Interfaces:
    ParseLocationListener

      public class SimpleParseLocationListener
      extends Object
      implements ParseLocationListener

  A simple implementation of `ParseLocationListener`.
  Author:
    Peter Ansell

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleParseLocationListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getColumnNo()`
    `long` | `getLineNo()`
    `void` | `parseLocationUpdate(long lineNo, long columnNo)` Signals an update of a parser's progress, indicated by a line and column number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleParseLocationListener

          public SimpleParseLocationListener()

  - ### Method Detail

    - #### parseLocationUpdate

          public void parseLocationUpdate(long lineNo,
                                          long columnNo)

      Description copied from interface: `ParseLocationListener`
      Signals an update of a parser's progress, indicated by a line and column number. Both line and column number start with value 1 for the first line or column.
      Specified by:
        `parseLocationUpdate` in interface `ParseLocationListener`
      Parameters:
        `lineNo` - The line number, or -1 if none is available.
        `columnNo` - The column number, or -1 if none is available.

    - #### getLineNo

          public long getLineNo()

      Returns:
        The last reported line number, -1 if the line number was not available when the location was updated, or 0 if none have been reported.

    - #### getColumnNo

          public long getColumnNo()

      Returns:
        The last reported column number, -1 if the column number was not available when the location was updated, or 0 if none have been reported.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.